POSTeSIM Management

Top Up eSIM

This endpoint allows a business to either top up an existing eSIM (previously created via the Create eSIM endpoint), or purchase a new data plan for an existing eSIM.

Endpoint

POSThttps://api.sotel.com/api/esim/data-plan/purchase

Authentication

Requires an Authentication Token obtained from the /authenticate endpoint. Include it in the X-Token header.

X-Token:{{token}}

Request Body

NameTypeRequiredDescription
iccidstringRequiredThe Integrated Circuit Card Identifier (ICCID) of the eSIM that will receive the top-up or new plan.
productIdstringRequiredThe unique identifier of the data plan to apply as a top-up. Obtain this from the Get Data Plans endpoint.
iso3stringRequiredISO alpha-3 country code for the eSIM (e.g. "USA", "GBR", "NGA").
Request Example
{
  "iccid": "8910300000045513278",
  "productId": "21170170",
  "iso3": "NLD"
}

Response

eSIM topped up successfully. Returns updated eSIM details with the new plan information.

Response
{
  "status": "Success",
  "code": 200,
  "data": {
    "sim": {
      "id": 46,
      "iccid": "8910300000006385143",
      "productId": "21170170",
      "imsi": "234104979244595",
      "state": "INACTIVE",
      "lastOperationDate": "2023-10-24 16:13:54",
      "activationCode": "TN202301051416450EFA31D3",
      "smdp": "consumer.rsp.global",
      "purchaseDate": "2026-10-07T12:16:05.634+01:00",
      "plan": {
        "productId": "21170170",
        "name": "Netherlands 1GB 5 days",
        "dataPlanType": "DESTINATION",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "price": 2,
        "country": "Netherlands",
        "iso3": "NLD",
        "region": "Europe",
        "expiryDate": "2026-10-12T12:58:45.505+01:00"
      }
    },
    "dataPlan": {
      "productId": "21170170",
      "name": "Netherlands 1GB 5 days",
      "dataUsageAllowance": 1,
      "timeAllowance": 5,
      "country": "Netherlands",
      "iso3": "NLD",
      "region": "Europe",
      "price": 2
    }
  },
  "message": "Successful",
  "timestamp": "2026-10-07 12:58:46"
}

Code Examples

curl -X POST 'https://api.sotel.com/api/esim/data-plan/purchase' \
  -H 'X-Token:{{token}}' \
  -H 'Content-Type: application/json' \
  -d '{
    "iccid": "8901260882902400001",
    "productId": "21170170",
    "iso3": "NLD"
 }'

Try It

Try It

Fill in the parameters to generate a cURL command

Request Body
Generated cURL
curl --location 'https://api.sotel.com/api/esim/data-plan/purchase' \
--header 'X-Token: {token}' \
--header 'Content-Type: application/json' \
--data '{
  "iccid": "{iccid}",
  "productId": "{productId}",
  "iso3": "{iso3}"
}'